<template>
  <q-layout view="lHh Lpr lFf">
    <q-layout-header>
      <q-toolbar
        color="primary"
      >

        <q-toolbar-title class="title">
          PRRADE
        </q-toolbar-title>

        <q-btn flat @click="openLoginPage">Login</q-btn>
        <q-btn flat @click="openRegistrationPage">Register</q-btn>
      </q-toolbar>

    </q-layout-header>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import { openURL } from 'quasar'

export default {
  name: 'LayoutDefault',
  data () {
    return {
      leftDrawerOpen: this.$q.platform.is.desktop
    }
  },
  methods: {
    openURL,
    openLoginPage: function () {
      this.$router.push('/login')
    },
    openRegistrationPage: function () {
      this.$router.push('/registration')
    }
  }
}
</script>

<style>
</style>
